Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jaxen.expr
Class DefaultFunctionCallExpr

    java.lang.Object
      org.jaxen.expr.DefaultExpr
          org.jaxen.expr.DefaultFunctionCallExpr

All Implemented Interfaces:
  Expr, FunctionCallExpr, Serializable, Visitable

Deprecated. this class will become non-public in the future; use the interface instead

public class DefaultFunctionCallExpr
extends DefaultExpr
implements FunctionCallExpr

See Also:
  Serialized Form

Constructor Summary
`DefaultFunctionCallExpr(String prefix, String functionName)` Deprecated.

Method Summary
`void` | `accept(Visitor visitor)` Deprecated.
`void` | `addParameter(Expr parameter)` Deprecated.
`Object` | `evaluate(Context context)` Deprecated.
`List` | `evaluateParams(Context context)` Deprecated.
`String` | `getFunctionName()` Deprecated.
`List` | `getParameters()` Deprecated.
`String` | `getPrefix()` Deprecated.
`String` | `getText()` Deprecated.
`Expr` | `simplify()` Deprecated.
`String` | `toString()` Deprecated.

Methods inherited from class org.jaxen.expr.DefaultExpr
`convertToIterator, convertToList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultFunctionCallExpr

    public DefaultFunctionCallExpr(String prefix,
                                   String functionName)

  Deprecated.

Method Detail

### addParameter

    public void addParameter(Expr parameter)

  Deprecated.
  Specified by:
    `addParameter` in interface `FunctionCallExpr`

### getParameters

    public List getParameters()

  Deprecated.
  Specified by:
    `getParameters` in interface `FunctionCallExpr`

### getPrefix

    public String getPrefix()

  Deprecated.
  Specified by:
    `getPrefix` in interface `FunctionCallExpr`

### getFunctionName

    public String getFunctionName()

  Deprecated.
  Specified by:
    `getFunctionName` in interface `FunctionCallExpr`

### getText

    public String getText()

  Deprecated.
  Specified by:
    `getText` in interface `Expr`

### simplify

    public Expr simplify()

  Deprecated.
  Specified by:
    `simplify` in interface `Expr`
  Overrides:
    `simplify` in class `DefaultExpr`

### toString

    public String toString()

  Deprecated.

### evaluate

    public Object evaluate(Context context)
                    throws JaxenException

  Deprecated.
  Specified by:
    `evaluate` in interface `Expr`
  Throws:
    `JaxenException`

### evaluateParams

    public List evaluateParams(Context context)
                        throws JaxenException

  Deprecated.
  Throws:
    `JaxenException`

### accept

    public void accept(Visitor visitor)

  Deprecated.
  Specified by:
    `accept` in interface `Visitable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 Codehaus. All Rights Reserved.